      subroutine syschk (bra,nsy,exists)                                SYSC001
c ----------------------------------------------------------------------SYSC002
c     checks for inconsistencies between Bravais symbol and the         SYSC003
c     crystal system:                                                   SYSC004
c     cubic,tetra,hexa,rhomb,ortho,mono,tric,trigo: 1..8                SYSC005
c ----------------------------------------------------------------------SYSC006
c     This program module is part of the PhysiSoft X-ray Library        SYSC007
c     and may not be sold or reproduced for commercial purposes.        SYSC008
c     Although it has been tested carefully, there is no warranty       SYSC009
c     regarding accuracy or freedom from side-effects.                  SYSC010
c                   (C) 1986-1990 Bernhard Rupp                         SYSC011
c ----------------------------------------------------------------------SYSC012
                                                                        SYSC013
      character bra                                                     SYSC014
      logical exists                                                    SYSC015
      exists=.true.                                                     SYSC016
c --- cubic -                                                           SYSC017
      if (nsy.EQ.1.AND.BRA.ne.'I'.and.bra.ne.'F'.and.bra.ne.'P')        SYSC018
     &   exists=.false.                                                 SYSC019
c --- tetra -                                                           SYSC020
      if (nsy.eq.2.and.bra.ne.'P'.and.bra.ne.'I') exists=.false.        SYSC021
c --- hexa -                                                            SYSC022
      if (nsy.eq.3.and.bra.ne.'P') exists=.false.                       SYSC023
c --- rhomb -                                                           SYSC024
      if (nsy.eq.4.and.bra.ne.'R') exists=.false.                       SYSC025
c --- trigo -                                                           SYSC026
      if (nsy.eq.8.and.bra.ne.'P') exists=.false.                       SYSC027
c --- ortho -                                                           SYSC028
      if (nsy.eq.5.and.bra.eq.'R') exists=.false.                       SYSC029
c --- mono -                                                            SYSC030
      if (nsy.eq.6.and.(bra.eq.'F'.or.bra.eq.'I'.or.bra.eq.'R'))        SYSC031
     &   exists=.false.                                                 SYSC032
c --- tric -                                                            SYSC033
      if (nsy.eq.7.and.bra.ne.'P') exists=.false.                       SYSC034
      return                                                            SYSC035
      end                                                               SYSC036
                                                                        SYSC037
